# SIPRegister::Params Struct Reference

`#include <sippdu.h>`

List of all members.

## Public Member Functions

| Params ()

## Public Attributes

PString | m_addressOfRecord
PString | m_registrarAddress
PString | m_contactAddress
PString | m_authID
PString | m_password
PString | m_realm
unsigned | m_expire
unsigned | m_restoreTime
PTimeInterval | m_minRetryTime
PTimeInterval | m_maxRetryTime

## Constructor & Destructor Documentation

SIPRegister::Params::Params | ( |  | ) |

## Member Data Documentation

PString SIPRegister::Params::m_addressOfRecord

PString SIPRegister::Params::m_registrarAddress

PString SIPRegister::Params::m_contactAddress

PString SIPRegister::Params::m_authID

PString SIPRegister::Params::m_password

PString SIPRegister::Params::m_realm

unsigned SIPRegister::Params::m_expire

unsigned SIPRegister::Params::m_restoreTime

PTimeInterval SIPRegister::Params::m_minRetryTime

PTimeInterval SIPRegister::Params::m_maxRetryTime

The documentation for this struct was generated from the following file:

- sippdu.h